<div
  class="p-10 container-background-color overlay-field container-border-color flex-column"
  style="width: 300px"
  [sqtmCoreWorkspace]="filter.uiOptions?.workspace"
  [localTheme]="true"
>
  <div class="full-width flex-row" style="align-items: baseline">
    @if (operation !== between) {
      <nz-date-picker
        class="full-width"
        [attr.data-test-element-id]="'input-start'"
        [nzFormat]="datePickerFormat"
        [(ngModel)]="startDate"
        [nzAutoFocus]="true"
      >
      </nz-date-picker>
    }
    @if (operation === between) {
      <nz-range-picker
        [attr.data-test-element-id]="'input-range'"
        [(ngModel)]="rangeDate"
        [nzFormat]="datePickerFormat"
      ></nz-range-picker>
    }
  </div>
  @if (filter.availableOperations.length > 1) {
    <div class="m-t-10 full-width flex-row operation-selector">
      <sqtm-core-operation-selector
        class="full-width"
        [availableOperations]="filter.availableOperations"
        [operation]="filter.operation"
        (operationChanged)="changeOperation($event)"
      >
      </sqtm-core-operation-selector>
    </div>
  }
  <div class="m-t-10 flex-row full-width">
    <button
      [attr.data-test-element-id]="'update-button'"
      nz-button
      nzType="primary"
      (click)="changeValue()"
    >
      {{ 'sqtm-core.generic.label.update' | translate | capitalize }}
    </button>
    <button
      [attr.data-test-element-id]="'cancel-button'"
      style="margin-left: auto"
      nz-button
      nzType="default"
      (click)="closeDateField()"
    >
      {{ 'sqtm-core.generic.label.cancel' | translate | capitalize }}
    </button>
  </div>
</div>
